CertSecure Documentation
  • Overview
    • About CertSecure Manager
    • Documentation Guide
  • Reference Guide
    • Header Bar
      • CertSecure Documentation
      • Swagger API
      • Profile Section
      • Search
    • Dashboard
      • Key Performance Indicators
      • Expiring Certificates
      • CA metrics
      • Key Strength
      • Signing Algorithm
      • Certificate Risk Report Profile
      • PKI Posture Management
      • NDES Health Information
    • AI Assistant
      • Chat
      • Configuration
      • Usage Report
    • Inventory
      • Overview
        • Overall
        • CertSecure
      • Template Management
        • Switch Templates
        • Exclusion List
        • Alert Templates
        • Certificate Templates
      • Template Categories
    • Discovery
      • Inventory
      • Scan Config
      • Cloud Config
      • Vault Config
      • Discovery Analytics
      • Scan Details
      • Discovery Ingestion
    • Reports
    • Utilities
      • ACME
      • Tasks
      • Integrations
        • Renewal Manager
        • Load Balancers
        • Discovery Agents
        • CLI Tool
        • Key Management
        • SEIM Tools
        • DevOps Tools
        • Ansible Automation Platform
      • NDES
      • Azure Key Vault
      • API Tokens
    • Enrollment
      • Certificate Request
      • Generate CSR
      • Enroll CSR
      • Generate Certificate
      • Import Certificate
      • Bulk Certificate Generation
      • Manage Policies
      • Organization Details
    • Administration
      • Users
      • Roles and permission
      • Certificate Authorities
      • Departments
    • Miscellaneous
      • Logging
      • Service Setup
        • Zoom
        • Zendesk
      • Settings
        • Configure Realms
        • Schedule Alerts
        • Metrics
        • Web Branding
        • About License
  • Setup & Architecture
    • Identity and Access Control
    • Architecture
    • Installation
      • Pre-requisites
      • Windows
      • Linux
      • Docker
    • Upgrade
      • Windows
      • Docker
  • Release Notes
    • Releases for 2026
      • v3.4.0
      • v3.3.1
      • v3.3.0
    • Releases for 2025
      • v3.2.0
      • v3.1.0
    • Releases for 2024
      • v3.0.0
  • Workflow
    • Approval Workflow
  • API Reference
    • Getting Started
    • Authorizing Requests
    • Securing API Access
    • Request and Response Conventions
    • Endpoint Reference
      • Health
      • API Token Management
      • CA Management
      • Templates
      • Certificate Enrollment
      • Inventory
      • Certificate Discovery
      • Tasks
      • Watcher Groups
      • Alerts
      • Reports
      • Logs
      • Monitoring
      • Scheduling
      • SMTP
      • ACME
      • Azure Key Vault
      • Google Cloud (GCP)
      • HashiCorp Vault
      • EJBCA
      • ServiceNow
  • Integration Guide
    • Renewal Manager
      • Workflow
      • Setup
      • Troubleshooting
      • IIS
      • Apache
      • Tomcat
      • Nginx
      • MSSQL
      • MongoDB
      • Oracle
      • Cloudflare
      • AudioCodes
      • Cisco ISE
      • Palo Alto PAN-OS
      • Cisco ACI
    • Load Balancer
      • F5
        • Workflow
        • Setup
        • Onboarding
        • UI Guide
        • Troubleshooting
      • NetScaler
        • Workflow
        • Setup
        • UI Guide
        • Troubleshooting
    • Certificate Authorities
      • ACME CAs
      • AWS
      • DigiCert Connector
      • EJBCA
      • GlobalSign
      • GoDaddy
      • HashiCorp Vault PKI
      • Microsoft AD CS
      • Sectigo
      • Sectigo-PS
    • Ansible Automation Platform
    • Azure Key Vault
  • Discovery Agent Setup Guide

EJBCA

The EJBCA endpoints configure the connection to an EJBCA instance, verify authentication, list its CAs, and issue certificates through EJBCA.

Endpoints

Method Endpoint Description
POST /ejbca/generate_certificate Generate EJBCA certificate.
POST /ejbca/generate_csr_and_enroll EJBCA CSR + enroll.
GET /ejbca/list_cas List EJBCA CAs.
GET /ejbca/setup_ejbca Get EJBCA setup.
POST /ejbca/setup_ejbca Configure EJBCA.
GET /ejbca/verify_ejbca_auth Verify EJBCA auth.
POST /ejbca/generate_certificate

Issues a certificate through EJBCA for an end entity.

Request Body (application/json)

Field Type Required Description
ca_name string Yes Name of the certificate authority (CA) as configured in CertSecure Manager.
certificate_profile string Yes -
end_entity_profile string Yes -
key_alg string No -
key_spec string No -
password string Yes -
token_type string No -
username string Yes -

Example Request

curl -X POST "https://<certsecure-backend-url>/ejbca/generate_certificate" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"ca_name": "string", "certificate_profile": "string", "end_entity_profile": "string", "password": "string", "username": "string"}'

Responses

Status Code Description
200 Issued.
POST /ejbca/generate_csr_and_enroll

Generates a CSR from the subject details provided and enrolls it through EJBCA.

Request Body (application/json)

Field Type Required Description
ca_host string No -
ca_name string Yes Name of the certificate authority (CA) as configured in CertSecure Manager.
cert_profile string Yes -
commonName string Yes -
countryName string Yes -
dnsName string Yes -
ee_profile string Yes -
organizationName string Yes -
password string No -
response_format string No -
user_name string Yes -

Example Request

curl -X POST "https://<certsecure-backend-url>/ejbca/generate_csr_and_enroll" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"ca_name": "string", "cert_profile": "string", "commonName": "string", "countryName": "string", "dnsName": "string", "ee_profile": "string", "organizationName": "string", "user_name": "string"}'

Responses

Status Code Description
200 Issued.
GET /ejbca/list_cas

Lists the CAs of the configured EJBCA instance.

Example Request

curl -X GET "https://<certsecure-backend-url>/ejbca/list_cas" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 CAs.
GET /ejbca/setup_ejbca

Returns the EJBCA connection configuration.

Example Request

curl -X GET "https://<certsecure-backend-url>/ejbca/setup_ejbca" \
  -H "Authorization: Bearer <token>"

Example Response

{
    "status": "success",
    "message": "EJBCA configuration found",
    "data": {
        "base_url": "https://ejbca.example.com",
        "active": true,
        "created_at": "Tue, 24 Feb 2026 23:04:54 GMT",
        "last_updated": "Tue, 24 Feb 2026 23:04:54 GMT"
    }
}

Responses

Status Code Description
200 Setup.
POST /ejbca/setup_ejbca

Configures the connection to an EJBCA instance.

Request Body (application/json)

Field Type Required Description
base_url string Yes -

Example Request

curl -X POST "https://<certsecure-backend-url>/ejbca/setup_ejbca" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"base_url": "string"}'

Responses

Status Code Description
200 The settings were saved.
GET /ejbca/verify_ejbca_auth

Verifies that CertSecure Manager can authenticate to EJBCA.

Example Request

curl -X GET "https://<certsecure-backend-url>/ejbca/verify_ejbca_auth" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 The request succeeded.
401 Auth failed.
On this Page:
Support Privacy Policy Terms of Service

Copyright 2026 Encryption Consulting LLC. All rights reserved.